Up

# NSRulerView class documentation

### Authors

Generated by root

### Contents -

1. Software documentation for the NSRulerView class
2. Software documentation for the NSObject(NSRulerViewClientView) informal protocol

# Software documentation for the NSRulerView class

## NSRulerView : NSView

> Declared in:
>   AppKit/NSRulerView.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +registerUnitWithName:abbreviation:unitToPointsConversionFactor:stepUpCycle:stepDownCycle:
- -accessoryView
- -addMarker:
- -baselineLocation
- -clientView
- -drawHashMarksAndLabelsInRect:
- -drawMarkersInRect:
- -initWithScrollView:orientation:
- -invalidateHashMarks
- -isFlipped
- -markers
- -measurementUnits
- -moveRulerlineFromLocation:toLocation:
- -orientation
- -originOffset
- -removeMarker:
- -requiredThickness
- -reservedThicknessForAccessoryView
- -reservedThicknessForMarkers
- -ruleThickness
- -scrollView
- -setAccessoryView:
- -setClientView:
- -setMarkers:
- -setMeasurementUnits:
- -setOrientation:
- -setOriginOffset:
- -setReservedThicknessForAccessoryView:
- -setReservedThicknessForMarkers:
- -setRuleThickness:
- -setScrollView:
- -trackMarker:withMouseEvent:

### registerUnitWithName:abbreviation:unitToPointsConversionFactor:stepUpCycle:stepDownCycle:

+ (void) registerUnitWithName: (NSString*)uName abbreviation: (NSString*)abbreviation unitToPointsConversionFactor: (float)conversionFactor stepUpCycle: (NSArray*)stepUpCycle stepDownCycle: (NSArray*)stepDownCycle;

Description forthcoming.

### accessoryView

- (NSView*) accessoryView;

Description forthcoming.

### addMarker:

- (void) addMarker: (NSRulerMarker*)aMarker;

Description forthcoming.

### baselineLocation

- (float) baselineLocation;

Description forthcoming.

### clientView

- (NSView*) clientView;

Description forthcoming.

### drawHashMarksAndLabelsInRect:

- (void) drawHashMarksAndLabelsInRect: (NSRect)aRect;

Description forthcoming.

### drawMarkersInRect:

- (void) drawMarkersInRect: (NSRect)aRect;

Description forthcoming.

### initWithScrollView:orientation:

- (id) initWithScrollView: (NSScrollView*)aScrollView orientation: (NSRulerOrientation)o;

Description forthcoming.

### invalidateHashMarks

- (void) invalidateHashMarks;

Description forthcoming.

### isFlipped

- (BOOL) isFlipped;

Description forthcoming.

### markers

- (NSArray*) markers;

Description forthcoming.

### measurementUnits

- (NSString*) measurementUnits;

Description forthcoming.

### moveRulerlineFromLocation:toLocation:

- (void) moveRulerlineFromLocation: (float)oldLoc toLocation: (float)newLoc;

Description forthcoming.

### orientation

- (NSRulerOrientation) orientation;

Description forthcoming.

### originOffset

- (float) originOffset;

Description forthcoming.

### removeMarker:

- (void) removeMarker: (NSRulerMarker*)aMarker;

Description forthcoming.

### requiredThickness

- (float) requiredThickness;

Description forthcoming.

### reservedThicknessForAccessoryView

- (float) reservedThicknessForAccessoryView;

Description forthcoming.

### reservedThicknessForMarkers

- (float) reservedThicknessForMarkers;

Description forthcoming.

### ruleThickness

- (float) ruleThickness;

Description forthcoming.

### scrollView

- (NSScrollView*) scrollView;

Description forthcoming.

### setAccessoryView:

- (void) setAccessoryView: (NSView*)aView;

Description forthcoming.

### setClientView:

- (void) setClientView: (NSView*)aView;

Description forthcoming.

### setMarkers:

- (void) setMarkers: (NSArray*)newMarkers;

Description forthcoming.

### setMeasurementUnits:

- (void) setMeasurementUnits: (NSString*)uName;

Description forthcoming.

### setOrientation:

- (void) setOrientation: (NSRulerOrientation)o;

Description forthcoming.

### setOriginOffset:

- (void) setOriginOffset: (float)offset;

Description forthcoming.

### setReservedThicknessForAccessoryView:

- (void) setReservedThicknessForAccessoryView: (float)thickness;

Description forthcoming.

### setReservedThicknessForMarkers:

- (void) setReservedThicknessForMarkers: (float)thickness;

Description forthcoming.

### setRuleThickness:

- (void) setRuleThickness: (float)thickness;

Description forthcoming.

### setScrollView:

- (void) setScrollView: (NSScrollView*)scrollView;

Description forthcoming.

### trackMarker:withMouseEvent:

- (BOOL) trackMarker: (NSRulerMarker*)aMarker withMouseEvent: (NSEvent*)theEvent;

Description forthcoming.

# Software documentation for the NSObject(NSRulerViewClientView) informal protocol

## NSObject(NSRulerViewClientView)

> Declared in:
>   AppKit/NSRulerView.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -rulerView:didAddMarker:
- -rulerView:didMoveMarker:
- -rulerView:didRemoveMarker:
- -rulerView:handleMouseDown:
- -rulerView:shouldAddMarker:
- -rulerView:shouldMoveMarker:
- -rulerView:shouldRemoveMarker:
- -rulerView:willAddMarker:atLocation:
- -rulerView:willMoveMarker:toLocation:
- -rulerView:willSetClientView:

### rulerView:didAddMarker:

- (void) rulerView: (NSRulerView*)aRulerView didAddMarker: (NSRulerMarker*)aMarker;

Description forthcoming.

### rulerView:didMoveMarker:

- (void) rulerView: (NSRulerView*)aRulerView didMoveMarker: (NSRulerMarker*)aMarker;

Description forthcoming.

### rulerView:didRemoveMarker:

- (void) rulerView: (NSRulerView*)aRulerView didRemoveMarker: (NSRulerMarker*)aMarker;

Description forthcoming.

### rulerView:handleMouseDown:

- (void) rulerView: (NSRulerView*)aRulerView handleMouseDown: (NSEvent*)theEvent;

Description forthcoming.

### rulerView:shouldAddMarker:

- (BOOL) rulerView: (NSRulerView*)aRulerView shouldAddMarker: (NSRulerMarker*)aMarker;

Description forthcoming.

### rulerView:shouldMoveMarker:

- (BOOL) rulerView: (NSRulerView*)aRulerView shouldMoveMarker: (NSRulerMarker*)aMarker;

Description forthcoming.

### rulerView:shouldRemoveMarker:

- (BOOL) rulerView: (NSRulerView*)aRulerView shouldRemoveMarker: (NSRulerMarker*)aMarker;

Description forthcoming.

### rulerView:willAddMarker:atLocation:

- (float) rulerView: (NSRulerView*)aRulerView willAddMarker: (NSRulerMarker*)aMarker atLocation: (float)location;

Description forthcoming.

### rulerView:willMoveMarker:toLocation:

- (float) rulerView: (NSRulerView*)aRulerView willMoveMarker: (NSRulerMarker*)aMarker toLocation: (float)location;

Description forthcoming.

### rulerView:willSetClientView:

- (void) rulerView: (NSRulerView*)aRulerView willSetClientView: (NSView*)newClient;

Description forthcoming.

Up